import request from '@/utils/request'

// 查询市场主体数据导入详情列表
export function listDMarketsubDataInfoPreDetail(query) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询市场主体数据导入详情详细
export function getDMarketsubDataInfoPreDetail(id) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增市场主体数据导入详情
export function addDMarketsubDataInfoPreDetail(data) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改市场主体数据导入详情
export function updateDMarketsubDataInfoPreDetail(data) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除市场主体数据导入详情
export function delDMarketsubDataInfoPreDetail(id) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreDetail/' + id,
    method: 'delete'
  })
}
